{
  "reducer_type": "recovery",
  "recovery_state": "USER_ATTRIBUTES_COLLECTING",
  "continents": [
    {
      "name": "Europe"
    },
    {
      "name": "India"
    },
    {
      "name": "Asia"
    },
    {
      "name": "North America"
    },
    {
      "name": "Demoworld"
    }
  ],
  "countries": [
    {
      "code": "xx",
      "name": "Testland",
      "continent": "Demoworld",
      "call_code": "+0"
    }
  ],
  "required_attributes": [
    {
      "type": "string",
      "name": "full_name",
      "label": "Full name",
      "widget": "anastasis_gtk_ia_full_name",
      "uuid": "9e8f463f-575f-42cb-85f3-759559997331"
    },
    {
      "type": "date",
      "name": "birthdate",
      "label": "Birthdate",
      "widget": "anastasis_gtk_ia_birthdate",
      "uuid": "83d655c7-bdb6-484d-904e-80c1058c8854"
    },
    {
      "type": "string",
      "name": "prime_number",
      "label": "Prime number",
      "widget": "anastasis_gtk_xx_prime",
      "uuid": "39190a95-cacb-4412-8bae-1f7da3f980b4",
      "tooltip": "Mathematics is fun",
      "validation-regex": "^[0-9]+$",
      "validation-logic": "XY_PRIME_check",
      "optional": true
    },
    {
      "type": "string",
      "name": "sq_number",
      "label": "Square number",
      "widget": "anastasis_gtk_xx_square",
      "uuid": "ed790bca-89bf-11eb-96f2-233996cf644e",
      "tooltip": "Mathematics is fun",
      "validation-regex": "^[0-9]+$",
      "validation-logic": "XX_SQUARE_check"
    }
  ],
  "authentication_providers": {
    "http://localhost:8086/": {
      "status": "not-contacted"
    },
    "http://localhost:8087/": {
      "status": "not-contacted"
    },
    "http://localhost:8088/": {
      "status": "not-contacted"
    },
    "http://localhost:8089/": {
      "status": "not-contacted"
    }
  },
  "selected_continent": "Demoworld",
  "selected_country": "xx"
}
